Financial Transactions
GET /api/v1/financial_transactionsGET /api/v1/financial_transactions/{id}
Get list of financial transactions
GET /api/v1/financial_transactions
Get a list of financial transactions that contributed to the Airwallex account balance from a specified creation date/time, with optional filters on end creation date/time, batch_id and status.
Batch unique identifier of the financial transaction
The currency (3-letter ISO-4217 code) of the financial transaction
The start time of created_at in ISO8601 format (inclusive)
Page number, default is 0, max is 2000
Number of results per page, default is 100, max is 1000
The source unique identifier of the transaction
Status of the financial transaction, one of: PENDING, SETTLED
The end time of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
List items
Gross amount the transaction
The batch unique identifier of the settlement that the transaction belongs to
The client rate for the transaction
The time this transaction was created at
Currency the transaction should be made in (3-letter ISO-4217 code)
The currency pair that the client_rate is quoted in
The description of the transaction
The time when the transaction will be settled at
Fee paid for the transaction
The unique identifier of the funding source from which the transaction originated
Unique identifier of the transaction
Net amount of the transaction
The time when the transaction was settled at
The source unique identifier of the transaction
The type of the source transaction, One of PAYOUT, CONVERSION, DEPOSIT,
ADJUSTMENT, FEE, PAYMENT_ATTEMPT, REFUND, DISPUTE, CHARGE, TRANSFER, YIELD,
BATCH_PAYOUT, CARD_PURCHASE, CARD_REFUND, PURCHASE, REFUND_REVERSAL, REPAYMENT, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX
One of PENDING, SETTLED, CANCELLED
The type of the transaction, One of DISPUTE,
DISPUTE_REVERSAL, DISPUTE_LOST, REFUND, REFUND_REVERSAL,REFUND_FAILURE,
PAYMENT_RESERVE_HOLD,PAYMENT_RESERVE_RELEASE,PAYOUT,PAYOUT_FAILURE,
PAYOUT_REVERSAL, CONVERSION_SELL, CONVERSION_BUY, CONVERSION_REVERSAL,
DEPOSIT, ADJUSTMENT, FEE, DD_CREDIT, DD_DEBIT, DC_CREDIT, DC_DEBIT,
TRANSFER, PAYMENT, ISSUING_AUTHORISATION_HOLD,
ISSUING_AUTHORISATION_RELEASE, ISSUING_CAPTURE, ISSUING_REFUND, PURCHASE,
PREPAYMENT, PREPAYMENT_RELEASE, REPAYMENT_FUNDING, REPAYMENT_DEDUCTION,
MOR_PAYOUT, MOR_PAYOUT_REVERSAL, TRANSFER_OUT, TRANSFER_IN,
TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL,
WITHHOLDING_TAX, WITHHOLDING_TAX_REVERSAL
| Error status | Description |
|---|---|
| 400 |
|
| 401 |
|
| 500 |
|
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/financial_transactions' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": true,3 "items": [4 {5 "amount": 200.21,6 "batch_id": "bat_20201202_SGD_2",7 "client_rate": 6.93,8 "created_at": "2021-03-22T16:08:02",9 "currency": "CNY",10 "currency_pair": "AUDUSD",11 "description": "deposit to",12 "estimated_settled_at": "2021-03-22T16:08:02",13 "fee": 0,14 "funding_source_id": "99d23411-234-22dd-23po-13sd7c267b9e",15 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",16 "net": 100.21,17 "settled_at": "2021-03-22T16:08:02",18 "source_id": "9f687fe6-dcf4-4462-92fa-80335301d9d2",19 "source_type": "PAYMENT_ATTEMPT",20 "status": "PENDING",21 "transaction_type": "PAYMENT"22 }23 ]24}
Get a financial transaction by ID
GET /api/v1/financial_transactions/{id}
Get a specific financial transaction by an Airwallex financial transaction unique identifier
Unique identifier of financial transaction
Gross amount the transaction
The batch unique identifier of the settlement that the transaction belongs to
The client rate for the transaction
The time this transaction was created at
Currency the transaction should be made in (3-letter ISO-4217 code)
The currency pair that the client_rate is quoted in
The description of the transaction
The time when the transaction will be settled at
Fee paid for the transaction
The unique identifier of the funding source from which the transaction originated
Unique identifier of the transaction
Net amount of the transaction
The time when the transaction was settled at
The source unique identifier of the transaction
The type of the source transaction, One of PAYOUT, CONVERSION, DEPOSIT,
ADJUSTMENT, FEE, PAYMENT_ATTEMPT, REFUND, DISPUTE, CHARGE, TRANSFER, YIELD,
BATCH_PAYOUT, CARD_PURCHASE, CARD_REFUND, PURCHASE, REFUND_REVERSAL, REPAYMENT, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX
One of PENDING, SETTLED, CANCELLED
The type of the transaction, One of DISPUTE,
DISPUTE_REVERSAL, DISPUTE_LOST, REFUND, REFUND_REVERSAL,REFUND_FAILURE,
PAYMENT_RESERVE_HOLD,PAYMENT_RESERVE_RELEASE,PAYOUT,PAYOUT_FAILURE,
PAYOUT_REVERSAL, CONVERSION_SELL, CONVERSION_BUY, CONVERSION_REVERSAL,
DEPOSIT, ADJUSTMENT, FEE, DD_CREDIT, DD_DEBIT, DC_CREDIT, DC_DEBIT,
TRANSFER, PAYMENT, ISSUING_AUTHORISATION_HOLD,
ISSUING_AUTHORISATION_RELEASE, ISSUING_CAPTURE, ISSUING_REFUND, PURCHASE,
PREPAYMENT, PREPAYMENT_RELEASE, REPAYMENT_FUNDING, REPAYMENT_DEDUCTION,
MOR_PAYOUT, MOR_PAYOUT_REVERSAL, TRANSFER_OUT, TRANSFER_IN,
TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL,
WITHHOLDING_TAX, WITHHOLDING_TAX_REVERSAL
| Error status | Description |
|---|---|
| 401 |
|
| 404 |
|
| 500 |
|
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/financial_transactions/financial_transaction_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "amount": 200.21,3 "batch_id": "bat_20201202_SGD_2",4 "client_rate": 6.93,5 "created_at": "2021-03-22T16:08:02",6 "currency": "CNY",7 "currency_pair": "AUDUSD",8 "description": "deposit to",9 "estimated_settled_at": "2021-03-22T16:08:02",10 "fee": 0,11 "funding_source_id": "99d23411-234-22dd-23po-13sd7c267b9e",12 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",13 "net": 100.21,14 "settled_at": "2021-03-22T16:08:02",15 "source_id": "9f687fe6-dcf4-4462-92fa-80335301d9d2",16 "source_type": "PAYMENT_ATTEMPT",17 "status": "PENDING",18 "transaction_type": "PAYMENT"19}